package com.gic.haoban.manage.web.qo.clerktask;

import com.gic.api.base.commons.BasePageInfo;

import java.io.Serializable;

/**
 * 导购排名
 */
public class ClerkRankQO extends BasePageInfo implements Serializable {

    private String clerkId ;

    /**
     * 计划ID
     */
    private Long planId ;

    private String enterpriseId ;

    // 0创作/召回数/好友数 1播放 2互动 3涨粉
    private int rankType = 0 ;

    // 0内容单篇 1内容达标
    private int contentType = 0 ;

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public int getRankType() {
        return rankType;
    }

    public void setRankType(int rankType) {
        this.rankType = rankType;
    }

    public int getContentType() {
        return contentType;
    }

    public void setContentType(int contentType) {
        this.contentType = contentType;
    }
}
